package com.loafle.overflow.meta.model;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_INFRA_VENDOR", schema = "public", catalog = "postgres")
public class MetaInfraVendor {
    private int id;
    private String name;
    private Date createDate;
    private MetaInfraType metaInfraType;

    @Id
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }


    @Column(name = "NAME", nullable = true, length = 50)
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_DATE", nullable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

//    @Basic
//    @Column(name = "TYPE_ID", nullable = false)
//    public int getTypeId() {
//        return typeId;
//    }
//
//    public void setTypeId(int typeId) {
//        this.typeId = typeId;
//    }

    @ManyToOne
    @JoinColumn(name = "TYPE_ID", nullable=false)
    public MetaInfraType getMetaInfraType() {
        return metaInfraType;
    }

    public void setMetaInfraType(MetaInfraType metaInfraType) {
        this.metaInfraType = metaInfraType;
    }


//    @Override
//    public boolean equals(Object o) {
//        if (this == o) return true;
//        if (o == null || getClass() != o.getClass()) return false;
//
//        MetaInfraVendor that = (MetaInfraVendor) o;
//
//        if (id != that.id) return false;
//        if (typeId != that.typeId) return false;
//        if (name != null ? !name.equals(that.name) : that.name != null) return false;
//        if (createDate != null ? !createDate.equals(that.createDate) : that.createDate != null) return false;
//
//        return true;
//    }
//
//    @Override
//    public int hashCode() {
//        int result = id;
//        result = 31 * result + (name != null ? name.hashCode() : 0);
//        result = 31 * result + (createDate != null ? createDate.hashCode() : 0);
//        result = 31 * result + typeId;
//        return result;
//    }
}
