package com.loafle.overflow.meta.model;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "META_VENDOR_CRAWLER", schema = "public", catalog = "postgres")
public class MetaVendorCrawler {
    private int id;
    private MetaCrawler metaCrawler;
    private MetaInfraVendor metaInfraVendor;
    private Date createDate;

    @Id
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    @ManyToOne
    @JoinColumn(name = "CRAWLER_ID", nullable = false)
    public MetaCrawler getMetaCrawler() {
        return metaCrawler;
    }

    public void setMetaCrawler(MetaCrawler metaCrawler) {
        this.metaCrawler = metaCrawler;
    }

    @ManyToOne
    @JoinColumn(name = "VENDOR_ID", nullable = false)
    public MetaInfraVendor getMetaInfraVendor() {
        return metaInfraVendor;
    }

    public void setMetaInfraVendor(MetaInfraVendor metaInfraVendor) {
        this.metaInfraVendor = metaInfraVendor;
    }

    //    @Basic
//    @Column(name = "CRAWLER_ID", nullable = false)
//    public short getCrawlerId() {
//        return crawlerId;
//    }
//
//    public void setCrawlerId(short crawlerId) {
//        this.crawlerId = crawlerId;
//    }
//
//    @Basic
//    @Column(name = "VENDOR_ID", nullable = false)
//    public int getVendorId() {
//        return vendorId;
//    }
//
//    public void setVendorId(int vendorId) {
//        this.vendorId = vendorId;
//    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name = "CREATE_DATE", nullable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

}
