package com.loafle.overflow.module.domain.dao;

import com.loafle.overflow.AppConfig;
import com.loafle.overflow.JdbcConfiguration;
import com.loafle.overflow.module.domain.Domain;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.Date;

import static org.junit.Assert.*;

/**
 * Created by root on 17. 6. 23.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class})
public class DomainDAOTest {

    @Autowired
    private DomainDAO domainDAO;

    @Test
    public void testCreate() {

        Domain domain = new Domain();

        domain.setCreateDate(new Date());
        domain.setName("snoop's domain");

        this.domainDAO.save(domain);


    }

}